Skip to main content
PATCH
Update a profile

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

profile_id
string<uuid>
required

Body

Create / update payload. pin is write-only; null clears the lock.

name
string
Required string length: 1 - 50
avatar_id
string | null
Maximum string length: 255
is_kids
boolean
maturity_rating
enum<string>
  • GE - General Exhibition
  • PG - Parental Guidance
  • 16 - 16
  • 18 - 18
Available options:
GE,
PG,
16,
18
pin
string | null
write-only
Minimum string length: 1
Pattern: ^\d{4}$
autoplay_next
boolean
autoplay_previews
boolean
language
string
Required string length: 1 - 10

Response

200 - application/json

Read representation of a profile. Never exposes the PIN.

id
string<uuid>
required
read-only
name
string
required
read-only
avatar_id
string | null
required
read-only
is_kids
boolean
required
read-only
maturity_rating
enum<string>
required
read-only
  • GE - General Exhibition
  • PG - Parental Guidance
  • 16 - 16
  • 18 - 18
Available options:
GE,
PG,
16,
18
maturity_level
integer
required
read-only
is_locked
boolean
required
read-only
is_primary
boolean
required
read-only
autoplay_next
boolean
required
read-only
autoplay_previews
boolean
required
read-only
language
string
required
read-only
created_at
string<date-time>
required
read-only